Bullet Collision Detection & Physics Library: btSpatialMotionVector Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSpatialMotionVector Struct Reference

`#include <btSpatialAlgebra.h>`

Collaboration diagram for btSpatialMotionVector:
[legend]

## Public Member Functions
| btSpatialMotionVector ()
| btSpatialMotionVector (const btVector3 &angular, const btVector3 &linear)
void | setVector (const btVector3 &angular, const btVector3 &linear)
void | setValue (const btScalar &ax, const btScalar &ay, const btScalar &az, const btScalar &lx, const btScalar &ly, const btScalar &lz)
void | addVector (const btVector3 &angular, const btVector3 &linear)
void | addValue (const btScalar &ax, const btScalar &ay, const btScalar &az, const btScalar &lx, const btScalar &ly, const btScalar &lz)
const btVector3 & | getAngular () const
const btVector3 & | getLinear () const
void | setAngular (const btVector3 &angular)
void | setLinear (const btVector3 &linear)
void | addAngular (const btVector3 &angular)
void | addLinear (const btVector3 &linear)
void | setZero ()
btScalar | dot (const btSpatialForceVector &b) const
template<typename SpatialVectorType >
void | cross (const SpatialVectorType &b, SpatialVectorType &out) const
template<typename SpatialVectorType >
SpatialVectorType | cross (const SpatialVectorType &b) const
btSpatialMotionVector & | operator+= (const btSpatialMotionVector &vec)
btSpatialMotionVector & | operator-= (const btSpatialMotionVector &vec)
btSpatialMotionVector & | operator*= (const btScalar &s)
btSpatialMotionVector | operator- (const btSpatialMotionVector &vec) const
btSpatialMotionVector | operator+ (const btSpatialMotionVector &vec) const
btSpatialMotionVector | operator- () const
btSpatialMotionVector | operator* (const btScalar &s) const

## Public Attributes
btVector3 | m_topVec
btVector3 | m_bottomVec

## Detailed Description

Definition at line 94 of file btSpatialAlgebra.h.

## Constructor & Destructor Documentation

## ◆ btSpatialMotionVector() [1/2]

btSpatialMotionVector::btSpatialMotionVector | ( |  | ) |
| inline

Definition at line 98 of file btSpatialAlgebra.h.

## ◆ btSpatialMotionVector() [2/2]

btSpatialMotionVector::btSpatialMotionVector | ( | const btVector3 & | angular,
|  | const btVector3 & | linear
| ) |  |
| inline

Definition at line 99 of file btSpatialAlgebra.h.

## Member Function Documentation

## ◆ addAngular()

void btSpatialMotionVector::addAngular | ( | const btVector3 & | angular | ) |
| inline

Definition at line 133 of file btSpatialAlgebra.h.

## ◆ addLinear()

void btSpatialMotionVector::addLinear | ( | const btVector3 & | linear | ) |
| inline

Definition at line 134 of file btSpatialAlgebra.h.

## ◆ addValue()

void btSpatialMotionVector::addValue | ( | const btScalar & | ax,
|  | const btScalar & | ay,
|  | const btScalar & | az,
|  | const btScalar & | lx,
|  | const btScalar & | ly,
|  | const btScalar & | lz
| ) |  |
| inline

Definition at line 117 of file btSpatialAlgebra.h.

## ◆ addVector()

void btSpatialMotionVector::addVector | ( | const btVector3 & | angular,
|  | const btVector3 & | linear
| ) |  |
| inline

Definition at line 112 of file btSpatialAlgebra.h.

## ◆ cross() [1/2]

template<typename SpatialVectorType >

SpatialVectorType btSpatialMotionVector::cross | ( | const SpatialVectorType & | b | ) | const
| inline

Definition at line 154 of file btSpatialAlgebra.h.

## ◆ cross() [2/2]

template<typename SpatialVectorType >

void btSpatialMotionVector::cross | ( | const SpatialVectorType & | b,
|  | SpatialVectorType & | out
| ) |  | const
| inline

Definition at line 148 of file btSpatialAlgebra.h.

## ◆ dot()

btScalar btSpatialMotionVector::dot | ( | const btSpatialForceVector & | b | ) | const
| inline

Definition at line 142 of file btSpatialAlgebra.h.

## ◆ getAngular()

const btVector3 & btSpatialMotionVector::getAngular | ( |  | ) | const
| inline

Definition at line 127 of file btSpatialAlgebra.h.

## ◆ getLinear()

const btVector3 & btSpatialMotionVector::getLinear | ( |  | ) | const
| inline

Definition at line 128 of file btSpatialAlgebra.h.

## ◆ operator*()

btSpatialMotionVector btSpatialMotionVector::operator* | ( | const btScalar & | s | ) | const
| inline

Definition at line 183 of file btSpatialAlgebra.h.

## ◆ operator*=()

btSpatialMotionVector & btSpatialMotionVector::operator*= | ( | const btScalar & | s | ) |
| inline

Definition at line 174 of file btSpatialAlgebra.h.

## ◆ operator+()

btSpatialMotionVector btSpatialMotionVector::operator+ | ( | const btSpatialMotionVector & | vec | ) | const
| inline

Definition at line 181 of file btSpatialAlgebra.h.

## ◆ operator+=()

btSpatialMotionVector & btSpatialMotionVector::operator+= | ( | const btSpatialMotionVector & | vec | ) |
| inline

Definition at line 162 of file btSpatialAlgebra.h.

## ◆ operator-() [1/2]

btSpatialMotionVector btSpatialMotionVector::operator- | ( |  | ) | const
| inline

Definition at line 182 of file btSpatialAlgebra.h.

## ◆ operator-() [2/2]

btSpatialMotionVector btSpatialMotionVector::operator- | ( | const btSpatialMotionVector & | vec | ) | const
| inline

Definition at line 180 of file btSpatialAlgebra.h.

## ◆ operator-=()

btSpatialMotionVector & btSpatialMotionVector::operator-= | ( | const btSpatialMotionVector & | vec | ) |
| inline

Definition at line 168 of file btSpatialAlgebra.h.

## ◆ setAngular()

void btSpatialMotionVector::setAngular | ( | const btVector3 & | angular | ) |
| inline

Definition at line 130 of file btSpatialAlgebra.h.

## ◆ setLinear()

void btSpatialMotionVector::setLinear | ( | const btVector3 & | linear | ) |
| inline

Definition at line 131 of file btSpatialAlgebra.h.

## ◆ setValue()

void btSpatialMotionVector::setValue | ( | const btScalar & | ax,
|  | const btScalar & | ay,
|  | const btScalar & | az,
|  | const btScalar & | lx,
|  | const btScalar & | ly,
|  | const btScalar & | lz
| ) |  |
| inline

Definition at line 106 of file btSpatialAlgebra.h.

## ◆ setVector()

void btSpatialMotionVector::setVector | ( | const btVector3 & | angular,
|  | const btVector3 & | linear
| ) |  |
| inline

Definition at line 101 of file btSpatialAlgebra.h.

## ◆ setZero()

void btSpatialMotionVector::setZero | ( |  | ) |
| inline

Definition at line 136 of file btSpatialAlgebra.h.

## Member Data Documentation

## ◆ m_bottomVec

btVector3 btSpatialMotionVector::m_bottomVec

Definition at line 96 of file btSpatialAlgebra.h.

## ◆ m_topVec

btVector3 btSpatialMotionVector::m_topVec

Definition at line 96 of file btSpatialAlgebra.h.

The documentation for this struct was generated from the following file:

- btSpatialAlgebra.h